Subject: RE: [clisp-list] character sets

From: "Rehm, Keith" <[email-masked]>
Date: Wed, 16 May 2001 18:05:23 -0400

Sam,
Yes! Thank you. :external-format CHARSET:ISO-8859-1 solved the problem. 
You made a correct assumption on my current version. I will supply
(lisp-implementation-version) in the future.
In Acrobat Reader there is a toolbar button with a T (for "text"?). Select
that and one can select text, then copy,....I pasted into an Emacs buffer...
Thank you again,
Keith

-----Original Message-----
From: Sam Steingold [mailto:[email-masked]]
Sent: Wednesday, May 16, 2001 10:26 AM
To: Rehm, Keith
Cc: [email-masked]
Subject: Re: [clisp-list] character sets

> * In message <E0FD762458CDD411A6FF00104B278FF9954108@EXCHANGE1>
> * On the subject of "[clisp-list] character sets"
> * Sent on Tue, 15 May 2001 19:07:43 -0400
> * Honorable "Rehm, Keith" <[email-masked]> writes:
>
> I am using the win32 binaries on a win2k machine. I get the error:

you did not specify the CLISP version and where you got your binaries.
I assume that you mean the latest release 2.25.1 and my binary from SF.
next time please supply the value of (lisp-implementation-version).

> 	*** - invalid byte #x81 in CHARSET:CP1252 conversion
> 
> I found that an apparent cause of this is a +/- sign which was
> copied/pasted from a pdf document into a (ada source) file I am

how do you copy/paste from PDF?!

> reading with read-line.  Is it the case that the win32 CLISP is not
> able to read these characters because of certain character sets not
> being compiled into the binaries?

you need to specify the :external-format argument to open, see
http://clisp.sourceforge.net/impnotes.html#open

-- 
Sam Steingold (http://www.podval.org/~sds)
Support Israel's right to defend herself!
<http://www.i-charity.com/go/israel>
Read what the Arab leaders say to their people on <http://www.memri.org/>
Only a fool has no doubts.

_______________________________________________
clisp-list mailing list
[email-masked]
http://lists.sourceforge.net/lists/listinfo/clisp-list